<style type="text/css" scoped="">
.dialog_mask{
  position: fixed;
  left: 0px;
  top: 0px;
  right: 0px;
  bottom: 0px;
  background-color: rgba(0, 0, 0, 0.2);
  display: flex;
  align-items: center;
  justify-content: center;
}
.dialog_box{
  min-width: 400px;
  min-height: 320px;
  width: 527px;
  background-color: #fff;
  position: relative;
  box-shadow: 0px 6px 27px 0px rgba(39,79,146,0.17);
  border-radius: 4px;
  overflow: hidden;
}
.close_ct{
  position: absolute;
  right: 17px;
  top: 17px;
}
</style>
<template>
  <div class="dialog_mask" :style="mask_style" v-main-scroll-forbidden >

    <div class="dialog_box" :style="dialog_style" @close="close">
      
      <slot></slot>

      <div class="close_ct" @click="close" v-if="show_close">
        <div class="close_line"></div>
        <div class="close_line rotate_m45"></div>
      </div>

    </div>

  </div>
</template>
<script>
export default {
  data () {
    return {

    }
  },
  props: {
    list: {
      type: Array,
      default () {
        return [];
      }
    },
    dialog_style: {
      type: Object,
      default () {
        return {};
      }
    },
    mask_style: {
      type: Object,
      default () {
        return {};
      }
    },
    show_close: {
      type: Boolean,
      default () {
        return true;
      }
    }
  },
  methods: {
    close () {
      this.$emit('close');
    }
  }
}
</script>